Package uk.ac.starlink.topcat.func

## Class SuperCosmos

- java.lang.Object
- - uk.ac.starlink.topcat.func.SuperCosmos

-     public class SuperCosmos
      extends java.lang.Object

  Specialist display functions for use with the SuperCOSMOS survey. These functions display cutout images from the various archives hosted at the SuperCOSMOS Sky Surveys (http://www-wfau.roe.ac.uk/sss/). In most cases these cover the whole of the southern sky.
  Since:
    1 Oct 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SSS_BASE_URL` | Base URL for SuperCOSMOS image cutout service.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `sssShowBlue​(double ra, double dec, int pixels)` | Displays a cutout image of default size from one of the blue-band surveys from SuperCOSMOS.
    `static java.lang.String` | `sssShowCutout​(double ra, double dec)` | Displays a cutout image of default size in one of the available bands from the SuperCOSMOS Sky Surveys.
    `static java.lang.String` | `sssShowCutout​(double ra, double dec, int pixels)` | Displays a cutout image in one of the available bands from the SuperCOSMOS Sky Surveys.
    `static java.lang.String` | `sssShowEsoR​(double ra, double dec, int pixels)` | Displays a cutout image taken from the SuperCOSMOS Sky Surveys ESO R-band survey.
    `static java.lang.String` | `sssShowPossE​(double ra, double dec, int pixels)` | Displays a cutout image taken from the SuperCOSMOS Sky Surveys Palomar E-band survey.
    `static java.lang.String` | `sssShowRed​(double ra, double dec, int pixels)` | Displays a cutout image of default size from one of the red-band surveys from SuperCOSMOS.
    `static java.lang.String` | `sssShowUkstB​(double ra, double dec, int pixels)` | Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope Bj-band survey.
    `static java.lang.String` | `sssShowUkstI​(double ra, double dec, int pixels)` | Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope I-band survey.
    `static java.lang.String` | `sssShowUkstR​(double ra, double dec, int pixels)` | Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope R-band survey.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SSS_BASE_URL

          public static final java.lang.String SSS_BASE_URL

      Base URL for SuperCOSMOS image cutout service.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### sssShowCutout

          public static java.lang.String sssShowCutout​(double ra,
                                                       double dec,
                                                       int pixels)

      Displays a cutout image in one of the available bands from the SuperCOSMOS Sky Surveys. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square. Sky coverage is complete.
      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowCutout

          public static java.lang.String sssShowCutout​(double ra,
                                                       double dec)

      Displays a cutout image of default size in one of the available bands from the SuperCOSMOS Sky Surveys. Sky coverage is complete.
      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
      Returns:
        short log message

    - #### sssShowBlue

          public static java.lang.String sssShowBlue​(double ra,
                                                     double dec,
                                                     int pixels)

      Displays a cutout image of default size from one of the blue-band surveys from SuperCOSMOS. Sky coverage is complete.
      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowRed

          public static java.lang.String sssShowRed​(double ra,
                                                    double dec,
                                                    int pixels)

      Displays a cutout image of default size from one of the red-band surveys from SuperCOSMOS. Sky coverage is complete.
      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowUkstB

          public static java.lang.String sssShowUkstB​(double ra,
                                                      double dec,
                                                      int pixels)

      Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope Bj-band survey. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square.

      Sky coverage is -90<Dec<+2.5 (degrees).

      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowUkstR

          public static java.lang.String sssShowUkstR​(double ra,
                                                      double dec,
                                                      int pixels)

      Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope R-band survey. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square.

      Sky coverage is -90<Dec<+2.5 (degrees).

      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowUkstI

          public static java.lang.String sssShowUkstI​(double ra,
                                                      double dec,
                                                      int pixels)

      Displays a cutout image taken from the SuperCOSMOS Sky Surveys UK Schmidt Telescope I-band survey. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square.

      Sky coverage is -90<Dec<+2.5 (degrees).

      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowEsoR

          public static java.lang.String sssShowEsoR​(double ra,
                                                     double dec,
                                                     int pixels)

      Displays a cutout image taken from the SuperCOSMOS Sky Surveys ESO R-band survey. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square.

      Sky coverage is -90<Dec<+2.5 (degrees).

      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

    - #### sssShowPossE

          public static java.lang.String sssShowPossE​(double ra,
                                                      double dec,
                                                      int pixels)

      Displays a cutout image taken from the SuperCOSMOS Sky Surveys Palomar E-band survey. The displayed image is square, and `pixels` pixels in the X and Y dimensions. Pixels are approximately 0.67 arcsec square.

      Sky coverage is -20.5<Dec<+2.5 (degrees).

      Parameters:
        `ra` - right ascension of image centre in degrees
        `dec` - declination of image centre in degrees
        `pixels` - dimension of the displayed image
      Returns:
        short log message

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.